commit:     e06a5fa582a0076e83a7a41584903971f6c5f6e5
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  4 17:09:32 2018 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Sun Nov  4 19:25:32 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e06a5fa5

dev-cpp/muParser: version bump to 2.2.6.1

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 dev-cpp/muParser/Manifest                |  1 +
 dev-cpp/muParser/muParser-2.2.6.1.ebuild | 42 ++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-cpp/muParser/Manifest b/dev-cpp/muParser/Manifest
index fee33e025c3..36dde2ca7f6 100644
--- a/dev-cpp/muParser/Manifest
+++ b/dev-cpp/muParser/Manifest
@@ -1 +1,2 @@
 DIST muParser-2.2.5.tar.gz 761315 BLAKE2B 
ddb7a226cecd164929a2f45ca0c2a5d20f37cd6bba2fca919c9e534017fa087523311bade8a7be4a5a011ecd5dec0a2496ff08354d2010341bccf2e2a8276c1d
 SHA512 
d89380ebdc0ce91d0ea38fe43419ab6ed06c47d352b9ee20e1edcce48337b464366153493e0241c373ba2880a8b419fb9541e56cda0d14915daf9b98136ee682
+DIST muParser-2.2.6.1.tar.gz 755653 BLAKE2B 
b3b6b8da57c0e8a0bda74038689d444ba8da00d6cce80030d8b35693209f0293874e4822c4941974be21fd4b7c09ba7df2c9cef861bc10b890aae4f641040faf
 SHA512 
01bfc8cc48158c8413ae5e1da2ddbac1c9f0b9075470b1ab75853587d641dd195ebea268e1060a340098fd8015bc5f77d8e9cde5f81cffeade2f157c5f295496

diff --git a/dev-cpp/muParser/muParser-2.2.6.1.ebuild 
b/dev-cpp/muParser/muParser-2.2.6.1.ebuild
new file mode 100644
index 00000000000..a5025c1f8c2
--- /dev/null
+++ b/dev-cpp/muParser/muParser-2.2.6.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="Library for parsing mathematical expressions"
+HOMEPAGE="http://muparser.beltoforion.de/";
+SRC_URI="https://github.com/beltoforion/muparser/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x86-macos"
+IUSE="doc test"
+
+S=${WORKDIR}/muparser-${PV}
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-1.32-parallel-build.patch
+       sed -i \
+               -e 's:-O2::g' \
+               configure || die
+}
+
+src_configure() {
+       econf $(use_enable test samples)
+}
+
+src_test() {
+       cat > test.sh <<- EOFTEST
+       LD_LIBRARY_PATH="${S}/lib" samples/example1/example1 <<- EOF
+       quit
+       EOF
+       EOFTEST
+       sh ./test.sh || die "test failed"
+}
+
+src_install() {
+       default
+       dodoc Changes.txt
+}

Reply via email to